Bug 141586

Summary: local variable used before set
Product: [Fedora] Fedora Reporter: David Binderman <dcb314>
Component: evolution-connectorAssignee: Matthew Barnes <mbarnes>
Status: CLOSED CANTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 3CC: mattdm
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-11-05 15:55:38 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description David Binderman 2004-12-02 10:27:10 UTC
Description of problem:

I just tried to compile package evolution-connector-2.0.2-1 from 
Redhat Fedora Core 3.

The compiler said

e-cal-backend-exchange-tasks.c(1070): remark #592: variable "calobj"
is used before its value is set

The source code is

                        status = modify_task_object (backend, cal,
calobj, CALOBJ_MOD_THIS, &old_object);

I agree with the compiler. This code would benefit from rework.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Dave Malcolm 2004-12-02 18:48:48 UTC
Thanks, this looks like a definite bug.

(it's in receive_task_objects, looks like the local calobj shadows a
parameter calobj)




Comment 3 Matthew Miller 2006-07-10 21:05:13 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 4 John Thacker 2006-11-05 15:55:38 UTC
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.